package cn.iocoder.yudao.module.system.service.user;

import cn.iocoder.yudao.module.system.controller.admin.user.vo.factoryUser.FactoryUserSaveReqVO;

/**
 * 后台工厂用户 Service 接口
 */
public interface FactoryUserService {

    /**
     * 创建工厂用户
     *
     * @param reqVO 创建信息
     * @return 用户ID
     */
    String createUser(FactoryUserSaveReqVO reqVO);

    /**
     * 修改工厂用户
     * @param reqVO 修改信息
     */
    String updateUser(FactoryUserSaveReqVO reqVO);

    /**
     * 删除工厂用户
     * @param id 用户id
     */
    String deleteUser(Long id);
}
